#!/usr/bin/env bash
set -eo pipefail

case "$1" in
keys)
    if [ ! -f /root/.ssh/authorized_keys ]; then
        curl -SsfL http://169.254.169.254/hetzner/v1/metadata/public-keys | /usr/bin/jq -r '.[]' >/root/.ssh/authorized_keys
    fi
    ;;
*)
    echo "Invalid command"
    exit 3
    ;;
esac
